<template>
  <button class="nav" v-html="icon" @click="$emit('click')">
  </button>
</template>

<script>
export default {
  name: 'ButtonNav',
  props: {
    icon: { type: String, default: '→' }
  }
}
</script>

<style lang="scss" scoped>
  .nav {
    background: black;
    color: white;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Gill Sans";
    font-size: 1.1rem;
    line-height: 1rem;
    text-align: center;
    border: none;
  }
</style>
